Twitter User Replies API - Get Replies by User
FetchLayer fetchlayer.dev Sign in

Fetch replies by a user

Retrieve recent replies authored by a user handle across different tweet threads.

POST /user-replies Content
https://api.fetchlayer.dev/twitter/user-replies
OpenAPI JSON

Headers

Authorization string required

Bearer token — your FetchLayer API key.

Parameters

handle string required

Twitter handle without @.

count number optional

Number of replies (max 100). (default: 25)

cursor string optional

Pagination cursor.

Response Fields

user-replies

Fetch replies by a user

replies[].id string

Reply tweet ID.

replies[].text string

Reply text.

replies[].inReplyToId string

Tweet ID being replied to.

replies[].author.handle string

Author handle.

replies[].createdAt string

ISO 8601 timestamp.

replies[].likeCount number

Like count.

cursor string

Pagination cursor.

Request

curl -X POST "https://api.fetchlayer.dev/twitter/user-replies" \
  -H "Authorization: Bearer ss-your-key" \
  -H "Content-Type: application/json" \
  -d '{"handle":"sama","count":3}'

Response

{
  "replies": [
    {
      "id": "1942950000000000000",
      "text": "We think this is the most important capability for agents. More to share soon.",
      "inReplyToId": "1942900000000000000",
      "author": {
        "handle": "sama",
        "displayName": "Sam Altman"
      },
      "createdAt": "2026-07-01T15:30:00.000Z",
      "likeCount": 4200
    }
  ],
  "cursor": "DAABCgABF8zK9v__-Y1"
}